curl --request GET \
--url https://api.tilta.io/v1/platform \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tilta.io/v1/platform', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tilta.io/v1/platform"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tilta.io/v1/platform",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": "<string>",
"name": "<string>",
"created_at": 1582896122,
"country": "AF",
"currency": "EUR",
"financing_currencies": [
"EUR"
],
"collection_currencies": [
"EUR"
],
"support_emails": [
"jsmith@example.com"
],
"payout_term": 123,
"max_payment_term": 123,
"is_single_merchant": true,
"language": "AR",
"formality": "NEUTRAL",
"has_erp_configuration": true,
"logo_url": "<string>",
"redirect_url": "<string>",
"min_payout_business_day": 2,
"communication_email": "<string>",
"communication_bcc_email": "jsmith@example.com"
}{
"code": "BAD_REQUEST",
"error": "Request validation failed. 1 issue found.",
"issues": [
{
"code": "INVALID_TYPE",
"path": "body.registered_at",
"message": "Invalid type"
}
]
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}{
"error": "No Entity found",
"code": "NOT_FOUND"
}Retrieve the platform
Fetch the platform object for your authenticated integration, including your platform name, current status, and account-level configuration settings.
Authorizations
Your Tilta API key, sent as Bearer <key>.
Response
The unique code of the platform.
The name of the platform.
The timestamp when the platform was created.
1582896122
The country code of the platform.
AF, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CD, CG, CK, CR, HR, CU, CW, CY, CZ, CI, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MK, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RO, RU, RW, RE, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TM, TC, TV, TR, UG, UA, AE, GB, UM, US, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW, AX The currency of the platform.
EUR, GBP, USD, CHF, PLN, CZK, RON, BGN, DKK, HUF, SEK, NOK, JPY, AUD, NZD, CAD Currencies enabled for financing requests on the platform.
EUR, GBP, USD, CHF, PLN, CZK, RON, BGN, DKK, HUF, SEK, NOK, JPY, AUD, NZD, CAD Currencies enabled for collection requests on the platform.
EUR, GBP, USD, CHF, PLN, CZK, RON, BGN, DKK, HUF, SEK, NOK, JPY, AUD, NZD, CAD The support email addresses of the platform. Notifications are sent to all of them.
The payout term of the platform.
The maximum payment term of the platform.
Indicates if the platform is a single merchant.
The communication language of the platform.
AR, BG, CS, DA, DE, EL, EN, ES, ET, FI, FR, GA, HR, HU, IT, JA, LT, LV, MT, NL, NO, PL, PT, RO, RU, SK, SL, SV, TR, UK, ZH The communication formality of the platform. Neutral by default.
NEUTRAL, FORMAL, INFORMAL Indicates whether the platform has an ERP configuration.
The URL of the platform logo.
Redirect URL of the platform.
Platform-specific override for the minimum number of business days from today before which a payout date cannot be scheduled. Defaults to 2 when not set. Must be at least 1.
x >= 1The communication email of the platform.
Optional email address BCC-ed on all outgoing buyer communication sent on behalf of the platform.